Subject: Re: iproute2 build error due to sr-ipv6 lwtunnel

From: Daniel Borkmann <[email-masked]>
Date: Thu, 04 May 2017 11:55:22 +0200

On 05/04/2017 11:28 AM, David Lebrun wrote:
> On 05/04/2017 11:13 AM, Daniel Borkmann wrote:
>> Hi David,
>>
>> I'm getting the following build error from e8493916a8ed ("iproute:
>> add support for SR-IPv6 lwtunnel encapsulation"). Reverting your
>> commit makes iproute2 build again for me. Please take a look.
>
> Hi Daniel,
>
> This is because linux/seg6.h does an include of linux/in6.h (cf kernel
> commit ea3ebc73b46fbdb049dafd47543bb22efaa09c8e "uapi: fix linux/seg6.h
> and linux/seg6_iptunnel.h userspace compilation errors"), and iproute2's
> include/utils.h requires the system /usr/include/resolv.h, which itself
> includes /usr/include/netinet/in.h, re-defining struct in6_addr.
>
> However, netinet/in.h protects some struct definitions with #ifndef
> __USE_KERNEL_IPV6_DEFS, which is explicitly defined in
> iproute_lwtunnel.c, thus avoiding this specific issue.
>
> What is your glibc version ?

Ok, I see, on one of my machines I have an old user space, but
latest net/net-next kernel (+ installed kernel headers) and
iproute2. glibc version there is 2.18.